Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.monitoring.core.v2
Class DetailsType

    java.lang.Object
      be.fgov.ehealth.monitoring.core.v2.DetailsType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-10-16T01:51:11+02:00",
               comments="JAXB RI v2.2.11")
    public class DetailsType

extends Object
implements Serializable

Detailed information on a monitoring result.

Java class for DetailsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DetailsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="Host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Service" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Environment" use="required" type="{urn:be:fgov:ehealth:monitoring:core:v2}EnvironmentType" />
           <attribute name="Date" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Time" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Epochtime" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Status" use="required" type="{urn:be:fgov:ehealth:monitoring:core:v2}StatusType" />
           <attribute name="StatusMessage" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="PerfData" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DetailsType()`

Method Summary
`String` | `getContent()` Detailed information on a monitoring result.
`String` | `getDate()` Gets the value of the date property.
`EnvironmentType` | `getEnvironment()` Gets the value of the environment property.
`String` | `getEpochtime()` Gets the value of the epochtime property.
`String` | `getHost()` Gets the value of the host property.
`String` | `getPerfData()` Gets the value of the perfData property.
`String` | `getService()` Gets the value of the service property.
`String` | `getStatus()` Gets the value of the status property.
`String` | `getStatusMessage()` Gets the value of the statusMessage property.
`String` | `getTime()` Gets the value of the time property.
`void` | `setContent(String value)` Sets the value of the content property.
`void` | `setDate(String value)` Sets the value of the date property.
`void` | `setEnvironment(EnvironmentType value)` Sets the value of the environment property.
`void` | `setEpochtime(String value)` Sets the value of the epochtime property.
`void` | `setHost(String value)` Sets the value of the host property.
`void` | `setPerfData(String value)` Sets the value of the perfData property.
`void` | `setService(String value)` Sets the value of the service property.
`void` | `setStatus(String value)` Sets the value of the status property.
`void` | `setStatusMessage(String value)` Sets the value of the statusMessage property.
`void` | `setTime(String value)` Sets the value of the time property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DetailsType

    public DetailsType()

Method Detail

### getContent

    public String getContent()

  Detailed information on a monitoring result.

  Returns:
    possible object is `String`

### setContent

    public void setContent(String value)

  Sets the value of the content property.

  Parameters:
    `value` - allowed object is `String`

### getHost

    public String getHost()

  Gets the value of the host property.

  Returns:
    possible object is `String`

### setHost

    public void setHost(String value)

  Sets the value of the host property.

  Parameters:
    `value` - allowed object is `String`

### getService

    public String getService()

  Gets the value of the service property.

  Returns:
    possible object is `String`

### setService

    public void setService(String value)

  Sets the value of the service property.

  Parameters:
    `value` - allowed object is `String`

### getEnvironment

    public EnvironmentType getEnvironment()

  Gets the value of the environment property.

  Returns:
    possible object is `EnvironmentType`

### setEnvironment

    public void setEnvironment(EnvironmentType value)

  Sets the value of the environment property.

  Parameters:
    `value` - allowed object is `EnvironmentType`

### getDate

    public String getDate()

  Gets the value of the date property.

  Returns:
    possible object is `String`

### setDate

    public void setDate(String value)

  Sets the value of the date property.

  Parameters:
    `value` - allowed object is `String`

### getTime

    public String getTime()

  Gets the value of the time property.

  Returns:
    possible object is `String`

### setTime

    public void setTime(String value)

  Sets the value of the time property.

  Parameters:
    `value` - allowed object is `String`

### getEpochtime

    public String getEpochtime()

  Gets the value of the epochtime property.

  Returns:
    possible object is `String`

### setEpochtime

    public void setEpochtime(String value)

  Sets the value of the epochtime property.

  Parameters:
    `value` - allowed object is `String`

### getStatus

    public String getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `String`

### setStatus

    public void setStatus(String value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `String`

### getStatusMessage

    public String getStatusMessage()

  Gets the value of the statusMessage property.

  Returns:
    possible object is `String`

### setStatusMessage

    public void setStatusMessage(String value)

  Sets the value of the statusMessage property.

  Parameters:
    `value` - allowed object is `String`

### getPerfData

    public String getPerfData()

  Gets the value of the perfData property.

  Returns:
    possible object is `String`

### setPerfData

    public void setPerfData(String value)

  Sets the value of the perfData property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.